<?php
/**
 * Class abstraite de Plugin
 * @author 		neolao <neo@neolao.com>
 */
abstract class APlugin {
	/**
	 * La config du plugin
	 */
	protected $config;
	/**
	 * La class d'erreur
	 */
	protected $error;
	/**
	 * La class de langue général
	 */
	protected $mainLang;
	/**
	 * La class de langue du plugin
	 */
	protected $lang;
	/**
	 * La class de menu
	 */
	protected $menu;
	/**
	 * La class de contenu
	 */
	protected $content;
	/**
	 * Le chemin des données
	 */
	protected $dataPath;
	
	// ============================== CONSTRUCTOR ==============================
	/**
	 * Constructeur
	 */
	protected function APlugin(){
		global $error;
		global $lang;
		global $menu;
		global $content;
		
		$this->error = $error;
		$this->mainLang = $lang;
		$this->menu = $menu;
		$this->content = $content;
	}
	
	// ================================ PRIVATE ================================

	// ================================ PUBLIC =================================
	/**
	 * Ajoute la config
	 */
	public function addConfig($config){
		$this->config = $config;
	}
	/**
	 * Ajoute la langue du plugin
	 */
	public function addLang($lang){
		$this->lang = $lang;
	}
	/**
	 * Initialisation
	 */
	public function init(){
		$dirName = $this->config["dirName"];
		
		// Création d'un dossier pour les données du plugins
		if(!is_dir(WM_DATAS_PATH.$dirName)){
			if(!@mkdir(WM_DATAS_PATH.$dirName)){
				$this->error->add($this->mainLang->get("warning", "write")." : ".WM_DATAS_PATH);
			}
		}else{
			if(!is_writable(WM_DATAS_PATH.$dirName)){
				$this->error->add($this->mainLang->get("warning", "write")." : ".WM_DATAS_PATH.$dirName);
			}
		}
		$this->dataPath = WM_DATAS_PATH.$dirName."/";
	}
	/**
	 * Avertissements
	 */
	public function warning(){
		
	}
	/**
	 * Administration
	 */
	public function admin(){
		
	}
	/**
	 * Exécution
	 */
	public function main(){
		$dirName = $this->config["dirName"];
		
		list($type, $category, $page) = split(":", $this->content->id);
		
		// Si on est dans le plugin
		if($type == "plugin" && $category == $dirName){
			// Traitement du formulaire
			$this->checkForm();
			
			if(empty($page)){
				// Page d'accueil
				$this->home();
			}else if(method_exists($this, $page)){
				// Autre page
				$this->$page();
			}else{
				$this->error->add($this->mainLang->get("warning", "fileNotFound"));
			}
		}
		
		// Si on veut afficher les avertissements
		if($type == "warning"){
			$this->warning();
		}
		
		// Si on veut administrer
		if($type == "admin"){
			$this->admin();
		}
	}
}
?>