<?php
/**
 * Traitement des données dans un fichier texte
 * @author 		neolao <neo@neolao.com>
 */
class DataText extends AData{
	/**
	 * Le fichier
	 */
	private $_file;
	/**
	 * La ressource du fichier
	 */
	private $_rsc;
	/**
	 * Indique si le fichier est prêt
	 */
	private $_enabled;
	
	// ============================== CONSTRUCTOR ==============================
	/**
	 * Constructeur
	 * @param $file Le fichier
	 */
	function DataText($file){
		parent::__construct();
		
		$this->_file = $file;
		$this->_enabled = false;
		$this->_check();
	}
	/**
	 * Destructeur
	 */
	function __destruct(){
		if($this->_rsc){
			fclose($this->_rsc);
		}
	}
	// ================================ PRIVATE ================================
	/**
	 * Vérifie les droits d'accès au fichier
	 */
	private function _check(){
		global $lang;
		
		if($this->_rsc = @fopen($this->_file, "a+")){
			$this->_enabled = true;
		}else{
			$this->_enabled = false;
			$this->error->add($lang->get("warning", "readwrite")." : ".$this->_file);
		}
	}

	// ================================ PUBLIC =================================
	/**
	 * Récupère tout le contenu du fichier
	 * @return Le contenu du fichier
	 */
	public function get(){
		$buffer = "";
		
		if($this->_enabled){
			rewind($this->_rsc);
			while(!feof($this->_rsc)){
				$buffer .= fgets($this->_rsc, 4096);
			}
		}
		return $buffer;
	}
	/**
	 * Enregistre les nouvelles données
	 * @param $content Le contenu
	 */
	public function set($content){
		if($this->_enabled){
			fclose($this->_rsc);
			$this->_rsc = fopen($this->_file, "w");
			fwrite($this->_rsc, $content);
			$this->_check();
		}		
	}
}
?>