<?php
/**
 * Gestions des erreurs
 * @author 		neolao <neo@neolao.com>
 */
class Error {
	/**
	 * La liste des erreurs
	 */
	private $list;
	
	// ============================== CONSTRUCTOR ==============================
	/**
	 * Constructeur
	 */
	function Error(){
		$this->list = array();
	}
	
	// ================================ PRIVATE ================================

	// ================================ PUBLIC =================================
	/**
	 * Ajoute une erreur
	 * @param $exception Une Exception
	 */
	public function add($exception){
		array_push($this->list, $exception);
	}
	/**
	 * La liste des erreurs
	 * @return Un affichage html
	 */
	public function html(){
		if(empty($this->list)) return "";
		
		$output = "<ol class=\"error\">";
		foreach($this->list as $e){
			if(is_string($e)){				
				$output .= "<li>".$e."</li>\n";
			}else{
				$output .= "<li><strong>".$e->getFile()." (".$e->getLine().") :</strong> ".$e->getMessage()."</li>\n";
			}
		}
		$output .= "</ol>\n";
		
		return $output;
	}
}
?>