<?php
/**
 * Le menu
 * @author 		neolao <neo@neolao.com>
 */
class Menu {
	/**
	 * Le contenu
	 */
	private $tree;
	
	// ============================== CONSTRUCTOR ==============================
	/**
	 * Constructeur
	 */
	function Menu(){
		$this->tree = array();
		$this->_addGeneral();
	}
	
	// ================================ PRIVATE ================================
	/**
	 * Ajout du menu général
	 */
	private function _addGeneral(){
		global $lang;
		$category = $lang->get("menu", "general");
		
		$this->addCategory($category);
		$this->addLink($category, $lang->get("menu", "home"), WM_PAGE);
		$this->addLink($category, $lang->get("menu", "warning"), WM_PAGE."?id=warning");
		$this->addLink($category, $lang->get("menu", "update"), WM_PAGE."?id=update");
		$this->addLink($category, $lang->get("menu", "admin"), WM_PAGE."?id=admin");
		$this->addLink($category, $lang->get("menu", "help"), WM_PAGE."?id=help");
	}

	// ================================ PUBLIC =================================
	/**
	 * Ajouter une catégorie
	 * @param $categoryName Le nom de la catégorie
	 */
	public function addCategory($categoryName){
		$this->tree[$categoryName] = array();
	}
	/**
	 * Ajouter un lien
	 * @param $linkName Le nom du lien
	 * @param $linkUrl L'url du lien
	 */
	public function addLink($categoryName, $linkName, $linkUrl=""){
		array_push($this->tree[$categoryName], array(name=>$linkName, url=>$linkUrl));
	}
	/**
	 * Le contenu
	 * @return Un affichage html
	 */
	public function html(){
		$o = "";
		reset($this->tree);
		foreach($this->tree as $category=>$value){
			$o .= "<h2>".$category."</h2>\n";
			if(count($value) > 0){
				$o .= "<ul>";
				for($i=0; $i<count($value); $i++){
					$o .= "<li>";
					if(!empty($value[$i]["url"])){
						$o .= "<a href=\"".$value[$i]["url"]."\">";
					}
					$o .= $value[$i]["name"];
					if(!empty($value[$i]["url"])){
						$o .= "</a>";
					}
					$o .= "</li>";
				}
				$o .= "</ul>";
			}
		}
		
		return $o;
	}
}
?>