<?php
/**
 * Interface pour les classes de mise à jour
 * @author 		neolao <neo@neolao.com>
 */
interface IUpdate{
	/**
	 * Le titre de la mettre à jour
	 * @return Le titre
	 */
	public function getTitle();
	/**
	 * Le titre de la mettre à jour
	 * @param string $title Le titre
	 */
	public function setTitle($title);
	/**
	 * Le répertoire à mettre à jour
	 * @return Le répêrtoire
	 */
	public function getDirectory();
	/**
	 * Le répertoire à mettre à jour
	 * @param string $directory Le répertoire
	 */
	public function setDirectory($directory);
	/**
	 * Récupération des informations utiles.
	 * C'est ici qu'on prépare la mise à jour
	 */
	function check();
	/**
	 * Récupèrè la version installée
	 * @return string La version installée
	 */
	function getCurrentVersion();
	/**
	 * Récupère la dernière version officielle
	 * @return string La dernière version officielle
	 */
	function getLatestVersion();
	/**
	 * Récupère la liste des fichiers à mettre à jour
	 * @return array La liste des fichiers à mettre à jour
	 */
	function getNewFiles();
	/**
	 * Met à jour
	 */
	function update();
}