<?php
/**
 * Mise à jour du WebManager
 * 
 * Cette mise à jour est particulière, mais elle est basée sur la mise à jour par XML.
 * @author 		neolao <neo@neolao.com>
 */
class UpdateWebmanager extends UpdateFromXML implements IUpdate{
	// ============================== CONSTRUCTOR ==============================
	/**
	 * Constructeur
	 * @param string $title Le titre de la mise à jour
	 * @param string $directory Le chemin du répertoire à mettre à jour
	 * @param string $xmlUrl L'url du xml contenant le détail des mises à jour
	 */
	function UpdateWebmanager($title, $directory, $xmlUrl){
		parent::__construct($title, $directory, $xmlUrl);
	}
	// ================================ PRIVATE ================================
	/**
	 * Récupération de la version installée
	 */
	protected function _getCurrentVersion(){
		global $error, $lang;
		
		if($versionFile = @fopen($this->_dir."/version", "r+")){
			$this->_currentVersion = fgets($versionFile, 4096);
			fclose($versionFile);
		}else{
			$error->add($lang->get("warning", "readwrite")." : ".$this->_dir."/version");
		}
	}
	
	// ================================ PUBLIC =================================
	/**
	 * Le titre de la mettre à jour
	 * @return Le titre
	 */
	public function getTitle(){
		return parent::getTitle();
	}
	/**
	 * Le titre de la mettre à jour
	 * @param string $title Le titre
	 */
	public function setTitle($title){
		parent::setTitle($title);
	}
	/**
	 * Le répertoire à mettre à jour
	 * @return Le répêrtoire
	 */
	public function getDirectory(){
		return parent::getDirectory();
	}
	/**
	 * Le répertoire à mettre à jour
	 * @param string $directory Le répertoire
	 */
	public function setDirectory($directory){
		parent::setDirectory($directory);
	}
	/**
	 * Récupération des informations utiles.
	 * C'est ici qu'on prépare la mise à jour
	 */
	public function check(){		
		// Récupération de la version installée
		$this->_getCurrentVersion();
		
		// Récupération du contenu du XML
		$this->_getXML();
			
		// La dernière version officielle
		$this->_getLatestVersion();
		
		// La liste des fichiers à mettre à jour
		$this->_getNewFiles();
	}
	/**
	 * Récupèrè la version installée
	 * @return string La version installée
	 */
	public function getCurrentVersion(){
		return parent::getCurrentVersion();
	}
	/**
	 * Récupère la dernière version officielle
	 * @return string La dernière version officielle
	 */
	public function getLatestVersion(){
		return parent::getLatestVersion();
	}
	/**
	 * Récupère la liste des fichiers à mettre à jour
	 * @return array La liste des fichiers à mettre à jour
	 */
	public function getNewFiles(){
		return parent::getNewFiles();
	}
	/**
	 * Met à jour
	 */
	public function update(){
		parent::update();
	}
}
?>