<?php
/**
 * Script exécuté avant tous les autres
 * @author 		neolao <neo@neolao.com>
 */

// Définition des constantes utiles
define("WM_BASE_PATH", dirname(WM_SERVER_PAGE)."/");
define("WM_PAGE", basename(WM_SERVER_PAGE));
define("WM_CONF_PATH", WM_BASE_PATH."conf/");
define("WM_INC_PATH", WM_BASE_PATH."inc/");
define("WM_CLASSES_PATH", WM_INC_PATH."classes/");
define("WM_LANG_PATH", WM_BASE_PATH."lang/");
define("WM_THEMES_PATH", WM_BASE_PATH."themes/");
define("WM_PLUGINS_PATH", WM_BASE_PATH."plugins/");
define("WM_DATAS_PATH", WM_BASE_PATH."datas/");
define("WM_TMP_PATH", WM_BASE_PATH."datas/tmp/");

// Chargement du fichier de configuration
$CONFIG = parse_ini_file(WM_CONF_PATH."config.ini", TRUE);

// Création de la class Error
require_once WM_CLASSES_PATH."Error.php";
$error = new Error();

// Création de la class Language
require_once WM_CLASSES_PATH."Language.php";
$lang = new Language(WM_LANG_PATH, $CONFIG["general"]["lang_default"], $CONFIG["general"]["encoding"]);

// Création du menu
require_once WM_CLASSES_PATH."Menu.php";
$menu = new Menu();

// Import des classes pour les traitements des données
require_once WM_CLASSES_PATH."data/AData.php";
require_once WM_CLASSES_PATH."data/DataText.php";
	
// Import de la class pour l'affichage des formulaires
require_once WM_CLASSES_PATH."Form.php";
	
// Importation des classes pour la gestion des mises à jour
require_once WM_CLASSES_PATH."update/IUpdate.php";
require_once WM_CLASSES_PATH."update/AUpdate.php";
require_once WM_CLASSES_PATH."update/UpdateFromArchive.php";
require_once WM_CLASSES_PATH."update/UpdateFromXML.php";
require_once WM_CLASSES_PATH."update/UpdateWebmanager.php";

// Importation des classes pour la gestion des extensions
require_once WM_CLASSES_PATH."APlugin.php";
require_once WM_CLASSES_PATH."PluginManager.php";
	
// Création de la mise à jour du site
$update_Webmanager = new UpdateWebmanager("Webmanager", WM_BASE_PATH, $CONFIG["update"]["url"]);

// Liste des mises à jour
$updates = array($update_Webmanager);

// Gestion des extensions
$plugins = new PluginManager(WM_PLUGINS_PATH);

// Création du contenu
require_once WM_CLASSES_PATH."Content.php";
$content = new Content();

// Vérification des droits d'accès aux données
if(!is_writable(WM_DATAS_PATH)){
	// Problème de droits pour le dossier des données
	$error->add("Need write access : ".WM_DATAS_PATH);
}else{
	// Le dossier des données a les droits en écriture
	
	// Création d'un répertoire temporaire
	if(!is_dir(WM_DATAS_PATH."tmp")){
		mkdir(WM_DATAS_PATH."tmp");
	}
	
	// Exécution des plugins
	$plugins->main();
}

// Affichage du thème
require_once WM_INC_PATH."theme_functions.php";
include WM_THEMES_PATH.$CONFIG["general"]["theme"]."/index.php";
?>