<?php
/**
 * Fonctions utilisées dans les thèmes
 * @author 		neolao <neo@neolao.com>
 */

/**
 * @return Le chemin du thème
 */
function theme_path(){
	global $CONFIG;
	
	return "themes/".$CONFIG["general"]["theme"]."/";
}
/**
 * @return Le titre du manager
 */
function theme_manager_title(){
	global $CONFIG;
	
	return $CONFIG["general"]["title"];
}
/**
 * @return La langue
 */
function theme_lang(){
	global $lang;
	
	return $lang->getLang();
}
/**
 * Retourne un message dans la langue configurée
 * @param $category La catégorie du message
 * @param $text Le texte
 * @return Le message
 */
function theme_text($category, $text){
	global $lang;
	
	return $lang->get($category, $text);
}
/**
 * @return L'encodage utilisé
 */
function theme_encoding(){
	global $CONFIG;
	
	return $CONFIG["general"]["encoding"];
}
/**
 * @return Les erreurs
 */
function theme_error(){
	global $error;
	
	return $error->html();
}
/**
 * @return Les plugins
 */
function theme_plugins(){
	global $plugins;
	
	return $plugins->list_html();
}
/**
 * @return Le contenu
 */
function theme_content(){
	global $content;
	
	return $content->html();
}
/**
 * @return Le menu
 */
function theme_menu(){
	global $menu;
	
	return $menu->html();
}
?>
