<?php
/**
 * Plugin Menu Custom
 * @author 		neolao <neo@neolao.com>
 */
class Plugin_MenuCustom extends APlugin{
	/**
	 * Les données
	 */
	private $_data;
	
	// ============================== CONSTRUCTOR ==============================
	/**
	 * Constructeur
	 */
	function Plugin_MenuCustom(){
		parent::__construct();
	}
	
	// ================================ PRIVATE ================================
	
	// ================================ PUBLIC =================================
	/**
	 * Initialisation
	 */
	public function init(){
		parent::init();
		
		// Fichier des données
		$this->_data = new DataText($this->dataPath."datas.txt");
	}
	/**
	 * Traitement du formulaire
	 */
	public function checkForm(){
		if(isset($_POST["content"])){
			$this->_data->set(stripslashes($_POST["content"]));
		}
	}
	/**
	 * Exécuté lorsqu'on affiche la page d'accueil du plugin
	 */
	public function home(){			
		// Titre
		$this->content->output = "<h2>".$this->lang->get("home", "title")."</h2>";
		
		// Introduction
		$this->content->output .= "<p>".$this->lang->get("home", "intro")."</p>";
		
		// Formulaire
		$form = new Form();
		$form->addHidden("id", "plugin:menu_custom");
		$form->addTextArea("content", "80", "10", htmlentities($this->_data->get(), ENT_COMPAT, $this->lang->getEncoding()));
		$form->setSubmit($this->mainLang->get("general", "save"));
		$this->content->output .= $form->html();
	}
	/**
	 * Exécuté tout le temps
	 */
	public function main(){
		parent::main();
		
		// Affichage du menu
		$content = split("\r?\n", trim($this->_data->get()));
		if(!empty($content) && !empty($content[0])){
			$category = $this->lang->get("menu", "title");
			
			$this->menu->addCategory($category);
			for($i=0; $i<count($content); $i++){
				list($name, $url) = split("\|", $content[$i]);
				$this->menu->addLink($category, htmlentities($name, ENT_COMPAT, $this->lang->getEncoding()), htmlentities($url, ENT_COMPAT, $this->lang->getEncoding()));
			}
		}
	}
}
?>