<?php
/**
 * Thème par défault
 * @author		neolao <neo@neolao.com>
 */
$accept_xml = !empty($_SERVER['HTTP_ACCEPT']) && strpos($_SERVER['HTTP_ACCEPT'],'application/xhtml+xml') !== false;
if ($accept_xml) {
	header('Content-Type: application/xhtml+xml');
	echo '<?xml version="1.0" encoding="'.theme_encoding().'"?>'."\n";
	$contentType = "application/xhtml+xml";
} else {
	header('Content-Type: text/html; charset='.theme_encoding());
	$contentType = "text/html";
}
?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo theme_lang(); ?>" lang="<?php echo theme_lang(); ?>">
	<head>
		<meta http-equiv="Content-Type" content="<?php echo $contentType; ?>; charset=<?php echo theme_encoding(); ?>" />
		<meta http-equiv="Content-Style-Type" content="text/css" />
		<link rel="stylesheet" type="text/css" href="<?php echo theme_path(); ?>layout.css" />
		<link rel="stylesheet" type="text/css" href="<?php echo theme_path(); ?>style.css" />
		<title><?php echo theme_manager_title(); ?></title>
	</head>
	<body>
		<div id="header">
			<h1><?php echo theme_manager_title(); ?></h1>
		</div>
		<div id="menu">
			<?php echo theme_menu(); ?>
		</div>
		<div id="content">
			<?php echo theme_error(); ?>
			<?php echo theme_content(); ?>
		</div>
		<div id="footer">
			<ul>
				<li><a href="http://www.neolao.com" title="neolao.com"><img src="<?php echo theme_path(); ?>/images/button-neolao.png" alt="neolao.com"/></a></li>
				<li><a href="http://creativecommons.org/licenses/by-sa/2.5/" rel="license" title="Sous license Creative Commons"><img src="<?php echo theme_path(); ?>/images/button-cc.gif" alt="Sous license Creative Commons"/></a></li>
			</ul>
		</div>
	</body>
</html>